Package org.eclipse.lemminx.extensions.generators

## Class Cardinality

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.Cardinality

    public class Cardinality
    extends Object

Cardinality for sequence.

### Constructor Summary

Constructors
`Cardinality()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getMax()`
`long` `getMin()`
`void` `set​(Long value)`
`void` `setMax​(long max)`
`void` `setMin​(long min)`
`String` `toString()`
`void` `update​(long value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Cardinality

    public Cardinality()

### Method Detail

#### setMin

    public void setMin​(long min)

#### setMax

    public void setMax​(long max)

#### getMin

    public long getMin()

#### getMax

    public long getMax()

#### update

    public void update​(long value)

#### set

    public void set​(Long value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`